package com.fdkanfang.service.backend.impl;

import com.fdkanfang.dao.backend.IBaseMapper;
import com.fdkanfang.dao.backend.ImageMapper;
import com.fdkanfang.domain.backend.ImageEntity;
import com.fdkanfang.service.BaseMapperServiceImpl;
import com.fdkanfang.service.backend.ImageService2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * Created by owen on 2020/3/11 0011 16:16
 */
@Service
public class ImageServiceImpl2 extends BaseMapperServiceImpl<ImageEntity, Long> implements ImageService2 {

    @Autowired
    private ImageMapper entityMapper;

    @Override
    public IBaseMapper<ImageEntity, Long> getBaseMapper() {
        return this.entityMapper;
    }


    @Override
    public List<ImageEntity> findByHouseId(Long id) {
        return entityMapper.findByHouseId(id);
    }

    @Override
    public List<ImageEntity> findByHouseIdAndFloor(Long houseId, Integer floor) {
        return entityMapper.findByHouseIdAndFloor(houseId, floor);
    }
}
